Subject: Re: [salud] Update 2 to section 6

From: Paul Kyzivat <[email-masked]>
Date: Tue, 02 Apr 2013 23:19:38 +0800

On 3/30/13 2:01 AM, Dale R. Worley wrote:
>> From: Paul Kyzivat <[email-masked]>
>>
>> I'm now lost in all the diffs. Can you send a complete version?
>
> Here is the complete text of what I call "update 2" for section 6.

Thx.

> ----------------------------------------------------------------------
> [[
> Here are revisions to the registrations to fix the problem Paul
> identified, which is that the registration for locale:country:XX is
> really a pattern, not a specific <alert-identifier>.  I've revised the
> text to allow registration of *patterns* of <alert-identifier>.
>
> I've moved the words regarding the registration policies -- in 6.1 is
> the generic policy information, and in 6.2 is the policy information
> about our 6 <alert-category>s.  However, I don't know what policy we
> want for new entries for our <alert-category>s.
>
> I've removed the rule about labels being <= 27 characters.
>
> In the registration entries for the <alert-category>s, I've changed
> the descriptions to provide a brief description of what the category
> means.
>
> ]]
>
> 6.  IANA Considerations
>
>     This section registers a new URN namespace identifier (NID), "alert", in
>     accordance with RFC 3406 with the registration template provided in
>     Section 4.
>
> 6.1.  Registry
>
>     Standard "alert" URNs are identified by
>     <alert-identifier>s managed by IANA, according to the processes
>     outlined in [RFC5226], in a new registry called "Alert URN
>     Identifiers".  Thus, creating a new standard "alert" URN requires
>     IANA action.
>
>     The registry contains:  (1) <alert-category> values, (2)
>     <alert-identifier> values, composed of an <alert-category> followed
>     by an <alert-indication>, in turn composed of one or more
>     <alert-label>s, and (3) patterns for <alert-identifier> values
>     (e.g., for the "locale" <alert-category> in Section 6.2.6).
>
>     The policy for adding a new <alert-category> is 'Standards Action'.
>     The policy for adding <alert-identifiers>s or patterns of
>     <alert-identifiers>s within a particular <alert-category> may
>     differ for each <alert-category> and MUST be defined by the
>     document defining the corresponding <alert-category>.
>
>
> Liess, et al.             Expires April 5, 2013                [Page 18]
>
> Internet-Draft               Alert-Info URNs                October 2012
>
>
> 6.2.  Initial IANA Registration
>
>     This document defines the <alert-category>s 'service', 'source',
>     'priority', 'duration', 'delay' and 'locale'.  The policy for
>     adding an <alert-identifier> for any of these <alert-category>s is
>     'xxx'.
>
> *** Should this policy be "Standards Action", "RFC Required", or
>      "Specification Required"?

I am inclined to say "Standards Action" because RFC Required is a little 
loose, and Specification Required needs an expert, and then we would 
need to write some guidelines for the expert. While Standards Action may 
be overly restrictive I think it is better to start out that way and 
change it later if there is need.

>     The entries to be added to the registration table have the
>     following format:
>
>
>        <alert-category> or    Reference    Description
>        <alert-identifier>
>        ---------------------------------------------------------------
>        foo                    RFCxyz     Description of the 'foo'
>                                          <alert-category>
>        foo:bar                RFCabc     Description of the 'foo:bar'
>                                          <alert-identifier>

I think we need a bit more in support of patterns. E.g.

          foo:bar:<pattern>      RFCabc     Description of a pattern,
                                            detailed in the referenced
                                            document, that matches
                                            multiple values.

(I'm not in love with that description.)

[snip]

> 6.2.6.  The "locale"  alert-category and alert-identifiers
>
>     The following table contains the initial IANA registration for the
>     "locale" <alert-category> and <alert-identifier>s.  The value of this
>     indicator provides information suggests that alerting signals
>     characteristic of the specified location should be used.
>
>
>
>
>
>
>
>
>
>
>
>
>
>
> Liess, et al.             Expires April 5, 2013                [Page 21]
>
> Internet-Draft               Alert-Info URNs                October 2012
>
>
>   <alert-category> or           Reference  Description
>   <alert-identifier>
>   -----------------------------------------------------------
>   locale                        RFC XXXX  Location-specific alerting
>                                           signals
>   locale:default                RFC XXXX  Alerting not location
>                                           specific
>                                           (default value)
>   locale:country:<ISO 3166-1 country code>
>                                 RFC XXXX  Alerting according to the
>                                           conventions of the specified
>                                           country
>
>
> ----------------------------------------------------------------------

	Thanks,
	Paul